aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/libsdl
Commit message (Collapse)AuthorAgeFilesLines
* libsdl-mixer: fix compiling for angstroem 2008.1Henning Heinold2011-02-152-3/+29
| | | | | | | | * libtool don't honors AC_CONFIG_AUX_DIRS in this case so not all libtool stuff is deleted, fixed it by copy the stuff from the build-script dir and remove the dir afterwards * bump PR
* libsdl-directfb: delete unpinned version 1.2.9Henning Heinold2011-02-111-26/+0
|
* libsdl-mixer: fix it the same way as the libsdl recipe and bump PRHenning Heinold2011-02-111-9/+11
|
* libsdl: use new .inc for 2.1.14 versionHenning Heinold2011-02-083-66/+33
| | | | | | * make autotools-usage and libtool2.4 from directfb generic, this fixes libsdl-x11 too * switch to INC_PR
* libsdl-image: moved task to do_configure_prepend changed rm into rm -fFrans Meulenbroeks2010-12-242-15/+11
| | | | | | | | - less tasks makes it slighly faster - other recipes also do this in do_configure_prepend or do_configure - rm -f avoid error of file dues not exist (e.g. because the task is ran twice) Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* libsdl-directfb: fixed qa_configure errorAeschbacher, Fabrice2010-12-111-1/+2
| | | | | | | | | * without this patch, ${STAGING_DIR}/bin/directfb-config --cflags returns: -I/usr/include/directfb -D_REENTRANT which makes qa_configure complain about /usr/include Signed-off-by: Fabrice Aeschbacher <fabrice.aeschbacher@siemens.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libsdl: depend on virtual/libsdl instead of libsdl-x11Andreas Oberritter2010-12-091-1/+1
| | | | Signed-off-by: Andreas Oberritter <obi@opendreambox.org>
* libsdl-mixer 1.2.11: wrap the mp3 dependency in enterprise and bump PRDenis 'GNUtoo' Carikli2010-12-051-3/+3
| | | | | | | | | | | Distributing an MP3 encoder/decoder can be problematic in the countries where software patents are legal and enforceable. So people not wanting to distribute or use mp3 can set ENTERPRISE_DISTRO in their local.conf to avoid the dependency. As adding ENTERPRISE_DISTRO mask some dependencies, this patch should permit to build libsdl-mixer with enterprise set. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
* libsdl: fix sh equality operatorAndreas Oberritter2010-11-141-1/+1
| | | | | Signed-off-by: Andreas Oberritter <obi@opendreambox.org> Acked-by: Michael Smith <msmith@cbnco.com>
* libsdl-x11 1.2.14: removing libtool-update.patch fixes alsa detectionDenis 'GNUtoo' Carikli2010-11-142-42783/+1
| | | | | | | | | | | | | | | | | | | | | | | | A side effect of the patch is that alsa detection was disabled or didn't work. For instance here's a short way to test the result of ./configure: With the patch: grep ALSA SDL-1.2.14/include/SDL_config.h gives: /* #undef SDL_AUDIO_DRIVER_ALSA */ /* #undef SDL_AUDIO_DRIVER_ALSA_DYNAMIC */ And without the patch: grep ALSA SDL-1.2.14/include/SDL_config.h gives: #define SDL_AUDIO_DRIVER_ALSA 1 #define SDL_AUDIO_DRIVER_ALSA_DYNAMIC "libasound.so.2" Note that libsdl-x11 builds fine without the patch under the SHR distribution with the htcdream and nokia900 machines Thanks demonicmaniac for help in #sdl on Freenode. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org> Acked-by: Khem Raj <raj.khem@gmail.com>
* libsdl-mixer 1.2.11: fix libvorbis's search pathDenis 'GNUtoo' Carikli2010-11-111-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | without that patch configure outputed something like this: checking tremor/ivorbisfile.h usability... yes checking tremor/ivorbisfile.h presence... yes checking for tremor/ivorbisfile.h... yes checking for ov_open_callbacks in -lvorbisidec... no configure: WARNING: *** Unable to find Ogg Vorbis Tremor library (http://www.xiph.org/) configure: WARNING: Ogg Vorbis support disabled Then digging into the configure script made me found that: LIBS="-lvorbisfile $LIBS" just before the compilation of the test(the following output comes from config.log): configure:11947: arm-oe-linux-gnueabi-gcc [...] -o conftest [...] conftest.c -lvorbisfile -L/usr/lib -lmikmod -ldl -lm >&5 /usr/lib/libvorbisfile.so: file not recognized: File format not recognized collect2: ld returned 1 exit status configure:11947: $? = 1 we clearly see -lvorbisfile -L/usr/lib ./configure --help says: LIBS libraries to pass to the linker, e.g. -l<library> so I simply overwritten LIBS in the recipe in EXTRA_OECONF The result was tested on nokia900 with wesnoth-wvga: Before it couldn't play its ogg vorbis music, and now it can. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
* libsdl-x11: configure with --disable-rpathMichael Smith2010-11-111-2/+2
| | | | | | | Otherwise libtool and ld try to link against ${libdir}/libdl.so.2 on the host system. Signed-off-by: Michael Smith <msmith@cbnco.com>
* libsdl-directfb: use the options of our patched autoreconf, to prevent ↵Henning Heinold2010-10-191-4/+1
| | | | | | | autoheader * thank's kergoth for the hint * no functional changes so no bump of PR's
* libsdl-directfb: update to 1.2.14Andreas Oberritter2010-10-191-0/+49
| | | | | | | | | | | | Changes since v1: * removed patches. * use autoreconf to update libtool etc. * inherit lib_package * dropped some unused configure options. * ran oe-stylize.py Signed-off-by: Andreas Oberritter <obi@opendreambox.org> Acked-by:: Henning Heinold <heinold@inf.fu-berlin.de>
* libsdl-ttf: fix version 2.0.10 by removing the libtool-m4-macrosHenning Heinold2010-10-163-10313/+25
| | | | | | * bump PR Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libsdl-ttf_2.0.10: add DEFAULT_PREFERENCE -1 as it doesn't build with ↵Martin Jansa2010-10-151-0/+3
| | | | | | | default libtool-2.2.6b * there is patch only for libtool-2.4 * it expects libtool-2.2.6
* libsdl-ttf: add newer version 2.0.10Martin Jansa2010-10-132-0/+10328
| | | | | | * conditionaly update libtool macros Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libsdl-native: Convert to new style staging, remove do_stageNoor Ahsan2010-09-271-11/+7
| | | | | | | | | * Remove do_stage () * Replace tabs with 8 spaces in do_configure * Bump INC_PR = "r3" Signed-off-by: Noor Ahsan <noor_ahsan@mentor.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libsdl-qpe_1.2.9.bb: Add patch to not include asm/page.hKhem Raj2010-09-152-1/+50
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libsdl-x11-1.2.14: fix bug 894Denis 'GNUtoo' Carikli2010-09-062-1/+17
| | | | | Wesnoth in-game buttons couldn't be pressed in illume2, The patch,which comes from the bugreport, fixes that issue
* libsdl-mixer: fixed the absence of ogg support(because of a libmikmod ↵Denis 'GNUtoo' Carikli2010-08-081-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | issue),bump PR and convert libmikmod staging When I ran wesnoth 1.8.3 I had no music and similar messages on the console: error audio: Could not load music file '/usr/share/wesnoth/data/core/music/breaking_the_chains.ogg': Couldn't read from '/usr/share/wesnoth/data/core/music/breaking_the_chains.ogg' At first I tought that I missed a dlopend library. But I did an ldd on libsdl-mixer and compared with the version on my desktop: root@htcdream ~ # ldd /usr/lib/libSDL_mixer-1.2.so.0.10.1 libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0x400 54000) libpthread.so.0 => /lib/libpthread.so.0 (0x400d4000) libmad.so.0 => /usr/lib/libmad.so.0 (0x400f4000) libc.so.6 => /lib/libc.so.6 (0x40110000) libm.so.6 => /lib/libm.so.6 (0x40234000) libts-1.0.so.0 => /usr/lib/libts-1.0.so.0 (0x402d0000) libdl.so.2 => /lib/libdl.so.2 (0x402dc000) libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x402e8000) /lib/ld-linux.so.3 (0x2a000000) And I found huge differences with my desktop version: linux-vdso.so.1 => (0x00007fff63cef000) libm.so.6 => /lib/libm.so.6 (0x00007f32232dd000) libmikmod.so.2 => /usr/lib/libmikmod.so.2 (0x00007f322308d000) libdl.so.2 => /lib/libdl.so.2 (0x00007f3222e88000) libvorbisfile.so.3 => /usr/lib/libvorbisfile.so.3 (0x00007f3222c80000) libsmpeg-0.4.so.0 => /usr/lib/libsmpeg-0.4.so.0 (0x00007f3222a25000) libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0x00007f322278c000) libc.so.6 => /lib/libc.so.6 (0x00007f3222409000) /lib64/ld-linux-x86-64.so.2 (0x00007f32237e3000) libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0x00007f32221dc000) libogg.so.0 => /usr/lib/libogg.so.0 (0x00007f3221fd4000) libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f3221cc0000) libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f3221aa9000) libpulse-simple.so.0 => /usr/lib/libpulse-simple.so.0 (0x00007f32218a4000) libpulse.so.0 => /usr/lib/libpulse.so.0 (0x00007f3221662000) libdirectfb-1.2.so.0 => /usr/lib/libdirectfb-1.2.so.0 (0x00007f32213df000) libfusion-1.2.so.0 => /usr/lib/libfusion-1.2.so.0 (0x00007f32211d4000) libdirect-1.2.so.0 => /usr/lib/libdirect-1.2.so.0 (0x00007f3220fbb000) libpthread.so.0 => /lib/libpthread.so.0 (0x00007f3220d9e000) libpulsecommon-0.9.21.so => /usr/lib/libpulsecommon-0.9.21.so (0x00007f3220b51000) librt.so.1 => /lib/librt.so.1 (0x00007f3220949000) libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f3220610000) libICE.so.6 => /usr/lib/libICE.so.6 (0x00007f32203f4000) libSM.so.6 => /usr/lib/libSM.so.6 (0x00007f32201eb000) libXtst.so.6 => /usr/lib/libXtst.so.6 (0x00007f321ffe4000) libwrap.so.0 => /lib/libwrap.so.0 (0x00007f321fdd8000) libsndfile.so.1 => /usr/lib/libsndfile.so.1 (0x00007f321fb73000) libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00007f321f934000) libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f321f716000) libuuid.so.1 => /lib/libuuid.so.1 (0x00007f321f511000) libXext.so.6 => /usr/lib/libXext.so.6 (0x00007f321f2ff000) libXi.so.6 => /usr/lib/libXi.so.6 (0x00007f321f0ee000) libnsl.so.1 => /lib/libnsl.so.1 (0x00007f321eed4000) libFLAC.so.8 => /usr/lib/libFLAC.so.8 (0x00007f321ec89000) libvorbisenc.so.2 => /usr/lib/libvorbisenc.so.2 (0x00007f321e8ad000) libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f321e6a9000) libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f321e4a3000) Then I looked in the configure log of libsdl-mixer and found that: .../sysroots/armv6-novfp-oe-linux-gnueabi/usr/lib/libmikmod.so: undefined reference to `floor' collect2: ld returned 1 exit status configure:11865: $? = 1 During the detection of libvorbis. I had no idea on how to fix that,so I asked on irc(#oe on Freenode): Khem helped me a lot and at some point said(about libmikmod): Aug 03 16:57:38 <khem> add -lm to LDFLAGS And finally: Aug 03 17:35:33 <ensc|w> GNUtoo|laptop: on first glance, EXTRA_OECONF='-lm' might fix it Aug 03 17:35:37 <GNUtoo|laptop> armv6-novfp-oe-linux-gnueabi/libmikmod-3.2.0-beta2-r1/libmikmod-3.2.0-beta2/libmikmod Aug 03 17:35:50 <GNUtoo|laptop> ensc|w, isn't that risky? but I can try that Aug 03 17:36:02 <GNUtoo|laptop> you mean OEMAKE? Aug 03 17:36:11 <ensc|w> wrong... EXTRA_OECONF='LIBRARY_LIB=-lm' Thanks a lot for the help About the PR bump: 19:59 < khem> you should only bump the pr of the package you are modifying 19:59 < GNUtoo|htcdream> khem: ok thanks a lot So I bumped only PR of libmikmod and sdl-mixer
* recipes: bump PR for packages depending on jpeg which changed .so name with ↵Martin Jansa2010-08-081-1/+1
| | | | | | | 6b -> 8b upgrade * distro maintainers: please consider upgrading jpeg first to bump PR just once * this list is incomplete for sure, only recipes-versions I had built in my tmpdir, feel free to add more
* recipes: inherit autotools instead of autotools_stageKhem Raj2010-08-053-3/+3
| | | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Acked-by: Martin Jansa <Martin.Jansa@gmail.com> Acked-by: Richard Purdie <rpurdie@linux.intel.com>
* 500+ recipes: remove do_stageFrans Meulenbroeks2010-08-034-19/+0
| | | | | | | | | | | | This patch removes all occurrences of do_stage() { autotools_stage_all } including all kind of variants w.r.t whitespace Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Michael 'Mickey' Lauer <mlauer@vanille-media.de>
* libsdl-x11-1.2.14: Update libtool macros and remove legacy stagingKhem Raj2010-06-142-4/+42785
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libsdl-ttf-native: Drop unnecessary FILESPATHTom Rini2010-06-041-1/+0
| | | | Signed-off-by: Tom Rini <tom_rini@mentor.com>
* Make the do_patch apply=yes param implicit if extension is .diff/.patchChris Larson2010-05-2510-32/+32
| | | | | | | | For .diff/.patch you need to apply manually, you can specify apply=no. Signed-off-by: Chris Larson <chris_larson@mentor.com> Acked-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Khem Raj <raj.khem@gmail.com>
* Rename url params patch=<ignored>/pnum=<n> to apply={yes,no}/striplevel=<n>Chris Larson2010-05-2510-32/+32
| | | | | | | | I think this makes the behavior rather more clear. Signed-off-by: Chris Larson <chris_larson@mentor.com> Acked-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Khem Raj <raj.khem@gmail.com>
* libsdl-image: convert to new style stagingKoen Kooi2010-05-081-6/+1
|
* recipes: move checksums to recipes from checksums.iniMartin Jansa2010-04-1222-0/+66
| | | | | | | * fetch all *.bb with patched utils.bbclass appending all checksums found only in checksums.ini to recipe Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libsdl-image: remove all .m4 macros from source dirMartin Jansa2010-01-271-0/+5
|
* libsdl-mixer: drop version 1.2.9 (md5sum mismatch)Bernhard Kaindl2010-01-231-23/+0
| | | | | | * as discussed and agreed on the mailing list Signed-off-by: Rolf Leggewie <oe-devel@rolf.leggewie.biz>
* libsdl-x11: use newer sdl.m4 macro from svnHenning Heinold2010-01-202-1/+208
| | | | | | * the sdl.m4 macro now uses pkgconfig which unbreaks gnome-games build * bump PR
* libsdl-ttf: Fix path to sdl-configFrederik Sdun2010-01-101-0/+1
| | | | | Signed-off-by: Frederik 'playya' Sdun <Frederik.Sdun@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libsdl-mixer: Add libMAD and libTremor support to SDL Mixer 1.2.11.David-John Willis2010-01-061-5/+8
|
* libsdl-ttf: Add 2.0.9 and checksums.David-John Willis2010-01-061-0/+18
|
* libsdl-image: Add 1.2.10 and checksum and cleanup recipe and add INC_PR.David-John Willis2010-01-064-3/+21
| | | | * Add INC_PR to include and seed higher than highest r4 in existing recipes.
* Revert "libsdl-native: Build with the X11 backend"Koen Kooi2010-01-041-3/+2
| | | | | | If you have localegen enabled a dependency loop gets triggered. Holger asked me to revert this till a proper fix emerges This reverts commit f017581d074adb0d88312939dafdb9fa74b0b494.
* libsdl-native: Build with the X11 backendnokia2010-01-041-2/+3
| | | | | * Depend on libx11-native * Increment PR
* libsdl-native: Create libsdl-native.incHolger Hans Peter Freyther2010-01-043-69/+43
| | | | | * Create a libsdl-native.inc and make 1.2.11 and 1.2.14 use it * Convert to INC_PR scheme as well
* libsdl-x11: disable ps3 video, it fails to buildJeremy Lainé2009-12-281-1/+1
|
* libsdl-x11_1.2.14: remove INC_PR, didn't notice that require libsdl.inc is ↵Martin Jansa2009-12-101-1/+1
| | | | | | actually commented out Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libsdl: use INC_PR, bump for mesa -> virtual/libgl changeMartin Jansa2009-12-106-5/+7
|
* libsdl-x11, libglew: use virtual/libgl instead of mesaMartin Jansa2009-12-101-1/+1
|
* x11 recipes: use virtual/libgl instead of mesaMartin Jansa2009-12-101-1/+3
|
* libsdl: Add 1.2.14 (and native). Note: Does not use libsdl.inc as that has ↵David-John Willis2009-12-042-0/+88
| | | | | | hacks for older SDL versions. * Only tested on the OpenPandora under Angstrom currently.
* libsdl-mixer: fix flac madnessKoen Kooi2009-12-022-2/+34
|
* libsdl-mixer: remove defpref -1 from version 1.2.10 because 1.2.11 is now ↵Henning Heinold2009-11-301-2/+0
| | | | default
* libsdl-mixer_1.2.11.bb : update the latest versionGraeme Gregory2009-11-181-0/+23
|
* libsdl-mixer: update to version 1.2.10Henning Heinold2009-11-111-0/+25
| | | | * don't made it the default yet